SQLR-CONNECTION(8)

NAME
sqlr-connection - manual page for sqlr-connection 1.9.2

SYNOPSIS
sqlr-connection [OPTIONS]

DESCRIPTION
sqlr-connection is the SQL Relay database connection daemon.

Each sqlr-connection maintains a persistent connection to a database. Together, a set of sqlr-connection daemons provide a database connection pool to SQL Relay client applications.

sqlr-connection is not intended to be run manually. Rather the sqlr-start and sqlr-scaler processes spawn instances of sqlr-connection as-necessary.

OPTIONS

-config config
    Override the default configuration with the specified configuration.

-id instanceid
    Id of an instance, as defined in the configuration.

-localstatedir dir
    Override the default directory for keeping pid files, sockets, and other working or stateful files with the specified directory.

-scaler
    Indicates to the sqlr-connection that it was spawned by the sqlr-scaler.

-ttl sec
    Time-to-live, in seconds. If the sqlr-connection is idle for this number of seconds, then it will exit.

-silent
    Suppresses log-in errors.

-nodetach
    Suppresses detachment from the controlling terminal. Useful for debugging.

-disable-crash-handler
    Disable the built-in crash handler. Useful for debugging.

-backtrace dir
    Generate a backtrace in the specified directory on abnormal termination. Useful for debugging.

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:08:14

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.